Google Web Toolkit (Beta)
Search this site:

# Class LoadListenerCollection

public class LoadListenerCollection
extends ArrayList
A helper class for implementers of the SourcesLoadEvents interface. This subclass of <linkArrayList></linkArrayList> assumes that all objects added to it will be of type LoadListener.

## Methods

fireError(Widget) | Fires an error event to all listeners.
fireLoad(Widget) | Fires a load event to all listeners.

## Method Detail

### fireError

public void fireError(Widget sender)
Fires an error event to all listeners.

#### Parameters

sender
  the widget sending the event.

### fireLoad

public void fireLoad(Widget sender)
Fires a load event to all listeners.

#### Parameters

sender
  the widget sending the event.